AI Assistant API
POST /services/ai/v1/conversations/list Auth

List Conversations

Request Body

FieldTypeRequiredDescriptionExample
agent_id string|null No chat
search string|null No SEO strategy
per_page integer
min: 1 max: 100
No 20

Responses

200
422
401
403
429
Successful response
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
success boolean
data object[]
pagination object
pagination.current_page integer
pagination.last_page integer
pagination.per_page integer
pagination.total integer
Validation error
FieldTypeDescription
message string Errors overview.
errors object A detailed description of each field that failed validation.
Unauthenticated — missing or invalid Bearer token
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Forbidden — insufficient permissions for this resource
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Too Many Requests — rate limit exceeded
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Retry-After integer Seconds until the rate limit resets 60
FieldTypeDescription
error boolean
message string
Base URL
https://api.wemasy.nl/api
Authentication

Request Sample
cURL
JS
PHP
Python
curl -X POST "https://api.wemasy.nl/api/services/ai/v1/conversations/list" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "agent_id": "chat",
    "search": "SEO strategy",
    "per_page": 20
}'
fetch('https://api.wemasy.nl/api/services/ai/v1/conversations/list', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
    'Accept': 'application/json',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "agent_id": "chat",
    "search": "SEO strategy",
    "per_page": 20
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
    ->accept('application/json')
    ->post('https://api.wemasy.nl/api/services/ai/v1/conversations/list', {
    "agent_id": "chat",
    "search": "SEO strategy",
    "per_page": 20
});
$data = $response->json();
import requests

headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
data = {
    "agent_id": "chat",
    "search": "SEO strategy",
    "per_page": 20
}
r = requests.post("https://api.wemasy.nl/api/services/ai/v1/conversations/list", headers=headers, json=data)
print(r.json())
Response Example
{
    "success": true,
    "data": [],
    "pagination": {
        "current_page": 0,
        "last_page": 0,
        "per_page": 0,
        "total": 0
    }
}

Try It
Request Body Optional

Export